package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.webservice;

import cn.estsh.i3plus.ext.mes.apiservice.model.SpsInfo;
import cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base.MesPullingOrderInfoService;
import cn.estsh.impp.framework.boot.util.SpringContextsUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import java.util.Map;

/**
 * @Description : WebServiceServerSPS
 * @Author :gsz
 * @Date 2024/8/30 9:18
 * @Modify
 **/

//@WebService(targetNamespace = "http://yfaiesb/services/ServiceSyncMaximoInstrument")
@WebService(targetNamespace = "http://tempuri.org/services/SyncSPSForEquipmentService")
public class WebServiceServerSPS {
    public static final Logger LOGGER = LoggerFactory.getLogger(WebServiceServerSPS.class);

    @WebMethod(action = "SyncSPSForEquipmentService", operationName = "SyncSPSForEquipmentService")
    public Map syncSPSForEquipment(@WebParam(name = "info") SpsInfo spsInfo) {
        LOGGER.info("syncSPSForEquipment主数据:{}", spsInfo);

        MesPullingOrderInfoService bean = (MesPullingOrderInfoService) SpringContextsUtil.getBean("mesPullingOrderInfoService");
        return  bean.doSPSForEquipment(spsInfo.getAssemblyLine(),spsInfo.getPullingGroupCode(),spsInfo.getOrganizeCode());
    }

}
